package com.lishihe.hosts.factory;


import com.intellij.openapi.project.Project;
import com.intellij.openapi.util.Condition;
import com.intellij.openapi.wm.ToolWindow;
import com.intellij.openapi.wm.ToolWindowFactory;
import com.intellij.ui.content.Content;
import com.intellij.ui.content.ContentFactory;
import com.lishihe.hosts.frame.HostsFrame;
import org.jetbrains.annotations.NotNull;

/**
 * 工作框
 *
 * @author chen
 * @date 2020-12-21
 */
public class ToolWindowsFactory implements ToolWindowFactory, Condition<Project> {

    /**
     * 创建 toolWindow
     *
     * @param project    调用方数据
     * @param toolWindow 框
     */
    @Override
    public void createToolWindowContent(@NotNull Project project, @NotNull ToolWindow toolWindow) {
        HostsFrame mainCreateFrame = new HostsFrame();
        ContentFactory contentFactory = ContentFactory.SERVICE.getInstance();
        Content content = contentFactory.createContent(mainCreateFrame.getMainPanel(), null, false);
        toolWindow.getContentManager().addContent(content);
    }

    @Override
    public boolean value(Project project) {
        return true;
    }
}